#include <avr/io.h>

void Taster_init(void){
	DDRD &= ~(0b111<<5);	// Set bit 5-7 of Data Direction Register D as input
	DDRC &= ~(1<<2);		// Set bit 2 of Data Direction Register C as input
	
	PORTD |= (0b111<<5);	// Initialize bit 5-7 of PORTD as for pull up resistor
	PORTC |= (1<<2);		// Initialize bit 2 of PORTC as for pull up resistor
}

uint8_t Taster1_get(void){
	return PIND&(1<<7);
}
uint8_t Taster2_get(void){
	return PIND&(1<<6);
}
uint8_t Taster3_get(void){
	return PIND&(1<<5);
}
uint8_t Taster4_get(void){
	return PINC&(1<<2);
}